Page MenuHomePhabricator

Create distinction between coordinates on Earth and others
Closed, ResolvedPublic

Description

Right now all coordinates are represented in simple data as geo:wktLiteral. However, it may make sense to distinguish Earth coordinates (most frequent use case) from Moon, Mars and other globe coordinates, so that something like "100 miles around the White House" would not return objects on the Moon. I don't know yet how to represent it in a way that would both fit the simple value and be clear, maybe using different data types or some different syntax than WKT.

Event Timeline

Smalyshev claimed this task.
Smalyshev raised the priority of this task from to Normal.
Smalyshev updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 11:44 PM
Smalyshev lowered the priority of this task from Normal to Low.Jul 7 2015, 10:54 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJul 7 2015, 10:54 PM
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Jul 7 2015, 10:57 PM

Maybe using the syntax described here: https://en.wikipedia.org/wiki/Well-known_text#Variations

SRID=4326;POINT(-44.3 60.1)

That of course depends on having proper SRIDs somewhere...

Liuxinyu970226 set Security to None.Sep 8 2015, 3:49 AM
Liuxinyu970226 removed a subscriber: Liuxinyu970226.

OGC GeoSparql defnition here: http://www.opengeospatial.org/standards/geosparql specifies the following format for coordinate system:

"<http://www.opengis.net/def/crs/EPSG/0/4326> Point(33.95 -83.38)"^^<http://www.opengis.net/ont/geosparql#wktLiteral>

Not sure though if all parsers could handle that, but if we put it only on non-Earth objects, which we don't have too many (just under 3000) that could work.

Smalyshev raised the priority of this task from Low to Normal.Jan 19 2016, 8:49 PM

Change 265119 had a related patch set uploaded (by Smalyshev):
Add syntax to distinguish non-earth coordinates

https://gerrit.wikimedia.org/r/265119

Change 265119 merged by jenkins-bot:
Add syntax to distinguish non-earth coordinates

https://gerrit.wikimedia.org/r/265119

Smalyshev closed this task as Resolved.Jan 27 2016, 5:54 PM